# -*- coding: utf-8 -*-
from setuphelpers import *
import json

uninstallkey = []

def install():
    versionsoft = control['version'].split('-',1)[0]

    for software in installed_softwares('calibre'):
        if software['publisher'] == 'Kovid Goyal':
            if not str(software['name']).endswith('64bit'):
                run(uninstall_cmd(software['key']))

    install_msi_if_needed('calibre-64bit-%s.msi' % versionsoft)
    remove_desktop_shortcut('calibre 64bit - E-book management')

def update_package():

    binaryfile,urlfile  = [(str(p['name']),str(p['browser_download_url'])) for p in json.loads(wgets('https://api.github.com/repos/kovidgoyal/calibre/releases/latest'))['assets'] if 'calibre-64bit-' in p['name']][0]

    if not isfile(binaryfile):
        wget(urlfile,binaryfile)

    for exe in glob.glob('*.msi'):
        if exe != binaryfile :
            print('Delete ' + exe)
            remove_file(exe)


    control.version = get_msi_properties(binaryfile)['ProductVersion'] + '-0'
    control.save_control_to_wapt()

    print('The update is complete, you can now test and then launch a build upload.')